PUT
Update a cron job

Authorizations

Authorization
string
header
required

Bearer token for authentication. Format: 'Bearer {token}'

Headers

X-Workspace-Id
string

Workspace ID (uses default workspace if not provided)

Path Parameters

uuid
string
required

Application UUID

id
string
required

Cron job ID or UUID

Body

application/json

Update a cron job

label
string

Human-readable display name for the cron job

command
string

Shell command to execute

Response

Update a cron job

Api_V1_Entities_Cronjob model

uuid
string
required

Cron job UUID

name
string
required

Cron job name

label
string
required

Human-readable display name

schedule_type
string
required

Schedule type (cron, interval)

interval_type
string
required

Interval type (every_10_minutes, hourly, daily)

hour
string
required

Hour component

minute
string
required

Minute component

cron_expression
string
required

Cron expression for custom schedules

command
string
required

Command to execute

status
string
required

Current status (running, stopped)

last_job_name
string
required

Name of the most recent run

last_job_status
string
required

Status of the most recent run (e.g. running, complete, failed)

last_job_run_at
string<date-time>
required

Last execution timestamp

created_at
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp